Skip to main content
`Ctrl`+`K`

# PCJacobiType

Determines what elements of the matrix are used to form the Jacobi preconditioner, that is with the `PCType` of `PCJACOBI`

## Synopsis

    typedef enum {
      PC_JACOBI_DIAGONAL,
      PC_JACOBI_ROWL1,
      PC_JACOBI_ROWMAX,
      PC_JACOBI_ROWSUM
    } PCJacobiType;

## Values

- `PC_JACOBI_DIAGONAL` - use the diagonal entry, if it is zero use one

- `PC_JACOBI_ROWL1` - add sum of absolute values in row i, j != i, to diag_ii

- `PC_JACOBI_ROWMAX` - use the maximum absolute value in the row

- `PC_JACOBI_ROWSUM` - use the sum of the values in the row (not the absolute values)

## See Also

Preconditioners, `PCJACOBI`, `PC`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages